import { default as React } from 'react';

/**
 * Column filter definition.
 */
export interface ColumnFilter<T = any, FilterState = any> {
    /**
     * Visual element for the filter.
     */
    element: React.ReactElement;
    /**
     * Data filter function.
     * @param data Data to filter
     * @param filterState Current filter state.
     * @returns True when data should be kept, false otherwise.
     */
    filter: (data: T, filterState: FilterState) => boolean;
}
/**
 * Hook to get current column filter state.
 */
export declare function useFilterState<T = any>(initialValue: T): [T, (newFilterState: T) => void];
