import { default as React } from 'react';
import { ColumnFilter } from '../Columns/ColumnFilter';

/**
 * String column filter.
 */
export declare function EnumFilter<OptionKey extends keyof any, Option>(options: Record<OptionKey, Option>): ColumnFilter<OptionKey[], EnumFilterState<OptionKey>>;
/**
 * Enumeration filter state.
 */
export interface EnumFilterState<OptionKey extends keyof any> {
    /**
     * Filter value.
     */
    value: OptionKey[];
}
/**
 * Enum filter component.
 */
export declare function EnumFilterComponent<OptionKey extends keyof any, Option>({ options }: {
    /**
     * Enum options.
     */
    options: Record<OptionKey, Option>;
}): React.JSX.Element;
