import { ColumnKey, Columns } from './Column';
import { CurrentRowData } from './AsyncManager';

/**
 * Column sort type.
 */
export declare enum SortType {
    ASC = "asc",
    DESC = "desc"
}
/**
 * Column sort state.
 */
export interface SortState {
    /**
     * Sort type (ascending or descending).
     */
    type: SortType;
    /**
     * Sort order.
     */
    order: number;
}
/**
 * Sort the given rows from the columns sort state.
 * @param rows Rows to sort.
 * @param columns Columns definition.
 * @param columnsSortState Columns current sort state.
 */
export declare function sortRows<CK extends ColumnKey>(rows: CurrentRowData<CK>[], columns: Columns<CK>, columnsSortState: Partial<Record<CK, SortState>>): CurrentRowData<CK>[];
/**
 * Generic comparison function for table data.
 * @param a First data to compare.
 * @param b Second data to compare.
 */
export declare function genericCompare(a: any, b: any): number;
